# sigc::slot_const_iterator< T_slot > Struct Template Reference
[Signals]

STL-style const iterator for slot_list. More...

Collaboration diagram for sigc::slot_const_iterator< T_slot >:
[legend]

List of all members.

## Public Types
typedef size_t | size_type
typedef ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category
typedef T_slot | slot_type
typedef T_slot | value_type
typedef const T_slot * | pointer
typedef const T_slot & | reference
typedef internal::signal_impl::const_iterator_type | iterator_type
## Public Member Functions
| slot_const_iterator (const iterator_type &i)
reference | operator* () const
pointer | operator-> () const
slot_const_iterator& | operator++ ()
slot_const_iterator | operator++ (int)
slot_const_iterator& | operator-- ()
slot_const_iterator | operator-- (int)
bool | operator== (const slot_const_iterator& other) const
bool | operator!= (const slot_const_iterator& other) const
## Public Attributes
iterator_type | i_

## Detailed Description

### template <typename T_slot>
struct sigc::slot_const_iterator< T_slot >

STL-style const iterator for slot_list.

The documentation for this struct was generated from the following file:

- sigc++/signal.h